> ## Documentation Index
> Fetch the complete documentation index at: https://docs.visotrust.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the follow-up settings of an in-progress assessment



## OpenAPI

````yaml https://app.visotrust.com/v1/api-docs put /api/v1/assessments/{id}/followup
openapi: 3.1.0
info:
  title: VISO TRUST API Documentation
  description: VISO TRUST
  version: v1.0
servers:
  - url: https://app.visotrust.com
    description: Generated server url
security: []
externalDocs:
  description: VISO TRUST Support Documentation
  url: https://docs.visotrust.com/
paths:
  /api/v1/assessments/{id}/followup:
    put:
      tags:
        - client-api-assessment-rest-resource
      summary: Update the follow-up settings of an in-progress assessment
      operationId: updateFollowup
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAssessmentFollowupInput'
        required: true
      responses:
        '200':
          description: OK
components:
  schemas:
    UpdateAssessmentFollowupInput:
      type: object
      properties:
        followupType:
          type: string
          enum:
            - MANUAL
            - AUTOMATIC
            - CONCIERGE
        followupRiskThreshold:
          type: string
          enum:
            - NO_CONTEXT
            - LOW
            - MEDIUM
            - HIGH
            - EXTREME
        followupTimeline:
          type: string
          enum:
            - SEVEN_DAYS
            - FOURTEEN_DAYS
            - THIRTY_DAYS
            - SIXTY_DAYS
            - NINETY_DAYS
      required:
        - followupType

````